package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.image.Image;
import javafx.scene.paint.ImagePattern;
import javafx.stage.Stage;

import java.io.FileInputStream;

public class Listing25_42e extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(300, 200);
            GraphicsContext gc = cv.getGraphicsContext2D();
            //-
            Image im = new Image(new FileInputStream("rozdzial25c/src/rozdzial25c/laka.jpg"));
            ImagePattern imp = new ImagePattern(im, 0, 0, 0.2, 0.2, true);
            gc.setStroke(imp);
            gc.setLineWidth(20);
            gc.strokeOval(50,50,200,100);
            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Atrybut 'stroke paint'");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
